<template>
  <div class="ui form">
    <div class="title">Предложение цены
      <div class="text">Укажите информацию о запчасти и условия доставки для покупателя</div>
    </div>
    <div class="block-default">
      <div
        class="field"
        :class="{ invalid: error }">
        <label>Ваш магазин/СТО
          <span class="red">*</span>
          <div class="question">
            <div
              class="button"
              v-tooltip="{
                classes: 'tooltip kit white',
                trigger: 'hover',
                offset: '4',
                placement: 'right',
                html: 'true',
                content: hintContent.userShop,}"/>
          </div>
        </label>
        <multiselect
          v-model="values.selectUsershop"
          class="no-checkbox"
          :options="list.selectExample"
          label="name"
          track-by="id"
          id="selectUsershop"
          :allow-empty="false"
          :searchable="false"
          :show-labels="false"
          :preselect-first="false"
          placeholder="Выберите"/>
        <div
          class="error message activity"
          v-if="error">
          {{ error }}
        </div>
      </div>
    </div>

    <div class="subtitle">Информация о запчасти</div>

    <div class="block-flex">
      <div class="column">
        <div
          class="field"
          :class="{ invalid: error }">
          <label>Производитель
            <span class="red">*</span>
            <div class="question">
              <div
                class="button"
                v-tooltip="{
                  classes: 'tooltip kit white',
                  trigger: 'hover',
                  offset: '4',
                  placement: 'right',
                  html: 'true',
                  content: hintContent.partManufacturer,}"/>
            </div>
          </label>
          <multiselect
            v-model="values.selectPartManufacturer"
            class="no-checkbox"
            :options="list.selectExample"
            label="name"
            track-by="id"
            id="selectPartManufacturer"
            :allow-empty="false"
            :searchable="false"
            :show-labels="false"
            :preselect-first="false"
            placeholder="Выберите"/>
          <div
            class="error message activity"
            v-if="error">
            {{ error }}
          </div>
        </div>
        <div
          class="field"
          :class="{ invalid: error }">
          <label>Номер или название
            <span class="red">*</span>
            <div class="question">
              <div
                class="button"
                v-tooltip="{
                  classes: 'tooltip kit white',
                  trigger: 'hover',
                  offset: '4',
                  placement: 'right',
                  html: 'true',
                  content: hintContent.partName,}"/>
            </div>
          </label>
          <div class="ui input">
            <input
              type="text"
              v-model="values.partName"
              id="selectPartName">
          </div>
          <div
            class="error message activity"
            v-if="error">
            {{ error }}
          </div>
        </div>

        <div class="block-flex">
          <div class="column">
            <div
              class="field"
              :class="{ invalid: error }">
              <label>Кол-во
                <span class="red">*</span>
                <div class="question">
                  <div
                    class="button"
                    v-tooltip="{
                      classes: 'tooltip kit white',
                      trigger: 'hover',
                      offset: '4',
                      placement: 'right',
                      html: 'true',
                      content: hintContent.partCount,}"/>
                </div>
              </label>
              <counter-input
                :value="1"
                :id="100"/>
              <div
                class="error message activity"
                v-if="error">
                {{ error }}
              </div>
            </div>
            <div
              class="field"
              :class="{ invalid: error }">
              <label>Цена за шт.
                <span class="red">*</span>
                <div class="question">
                  <div
                    class="button"
                    v-tooltip="{
                      classes: 'tooltip kit white',
                      trigger: 'hover',
                      offset: '4',
                      placement: 'right',
                      html: 'true',
                      content: hintContent.partPrice,}"/>
                </div>
              </label>
              <counter-input
                :value="1"
                :id="111"/>
              <div
                class="error message activity"
                v-if="error">
                {{ error }}
              </div>
            </div>
          </div>
          <div class="column">
            <div
              class="field"
              :class="{ invalid: error }">
              <label>Тип запчасти
                <span class="red">*</span>
                <div class="question">
                  <div
                    class="button"
                    v-tooltip="{
                      classes: 'tooltip kit white',
                      trigger: 'hover',
                      offset: '4',
                      placement: 'right',
                      html: 'true',
                      content: hintContent.partType,}"/>
                </div>
              </label>
              <multiselect
                v-model="values.selectPartType"
                class="no-checkbox"
                :options="list.selectExample"
                label="name"
                track-by="id"
                id="selectPartType"
                :allow-empty="false"
                :searchable="false"
                :show-labels="false"
                :preselect-first="false"
                placeholder="Выберите"/>
              <div
                class="error message activity"
                v-if="error">
                {{ error }}
              </div>
            </div>
            <div
              class="field"
              :class="{ invalid: error }">
              <label>Валюта
                <span class="red">*</span>
                <div class="question">
                  <div
                    class="button"
                    v-tooltip="{
                      classes: 'tooltip kit white',
                      trigger: 'hover',
                      offset: '4',
                      placement: 'right',
                      html: 'true',
                      content: hintContent.partCurrency,}"/>
                </div>
              </label>
              <multiselect
                v-model="values.selectPartCurrency"
                class="no-checkbox"
                :options="list.selectExample"
                label="name"
                track-by="id"
                id="selectPartCurrency"
                :allow-empty="false"
                :searchable="false"
                :show-labels="false"
                :preselect-first="false"
                placeholder="Выберите"/>
              <div
                class="error message activity"
                v-if="error">
                {{ error }}
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="field">
          <label>Описание запчасти</label>
          <div class="ui input">
            <textarea
              class="small"
              v-model="values.partInfo"
              id="PartInfo"/>
          </div>
        </div>
      </div>
    </div>

    <div class="subtitle">Информация о доставке</div>
    <div class="block-default">
      <div class="ui checkbox inbox">
        <input
          type="checkbox"
          name=""
          id="pickupPossibility">
        <label for="pickupPossibility">Возможен самовывоз из магазина</label>
      </div>
      <div class="ui checkbox inbox">
        <input
          type="checkbox"
          name=""
          id="transportCompanyDeliveryPossibility">
        <label for="transportCompanyDeliveryPossibility">Возможен самовывоз из магазина</label>
      </div>
    </div>

    <div class="block-button">
      <button
        type="submit"
        class="ui button yellow">
        <span v-if="false">Изменить предложение</span>
        <span>Создать предложение</span>
      </button>
    </div>
  </div>

</template>

<script>
import Multiselect from 'vue-multiselect';
import CounterInput from '~/components/redesign/blocks/counterInput';

export default {
  name: 'FormPriceOffer',
  components: {
    Multiselect,
    CounterInput,
  },
  data() {
    return {
      error: false, //  'Это поле обязательно к заполнению',
      values: {
        selectUserShop: [],
        selectPartManufacturer: [],
        partName: [],
        partPrice: [],
        partCount: [],
        selectPartType: [],
        selectPartCurrency: [],
        partInfo: [],
      },
      list: {
        selectExample: [
          {
            id: 'org1',
            name: '1111111',
          },
          {
            id: 'org2',
            name: '22222',
          },
          {
            id: 'org3',
            name: '33333333',
          },
        ],
      },
      hintContent: {
        userShop: '<div class=help-cabinet><p>Наименование магазина выводится в поле «Фирма» в результате поиска '
          + 'запчасти.</p></div>',
        default: '<div class=help-cabinet><p>Данные, которые доступны покупателям для связи с Вами, отображаются в '
          + 'поле "Продавец" в&nbsp;результате поиска запчасти для конкретного магазина/автотехцентра.</p></div>',
        partManufacturer: '<div class=help-cabinet><p>Укажите производителя запчасти.</p></div>',
        partName: '<div class=help-cabinet><p>Укажите номер запчасти, если он известен однозначно.</p></div>',
        partCount: '<div class=help-cabinet><p>Укажите количество запчастей, которое вы готовы продать.</p></div>',
        partType: '<div class=help-cabinet><p></p>Выберите тип запчасти.</div>',
        partPrice: '<div class=help-cabinet><p>Укажите стоимость запчасти.</p></div>',
        partCurrency: '<div class=help-cabinet><p>Выберите валюту, в которой производится оплата за товар.</p></div>',
      },
    };
  },
};
</script>

<style
  scoped
  lang="scss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .title {
    display: block;
    font-size: 1rem;
    line-height: 1.3;
    font-weight: 500;
    margin: 0;
    padding: 1.25rem 0;
    .text {
      display: block;
      font-weight: 400;
      font-size: 0.8125rem;
      padding-top: 0.25rem;
    }
  }

  .subtitle {
    display: block;
    font-size: 0.875rem;
    line-height: 1.3;
    font-weight: 500;
    margin: 0;
    padding: 1.75rem 0 1rem 0;
    @media screen and (max-width: 980px) {
      font-size: 1rem;
    }
  }

  .ui.form {
    width: 100%;
    max-width: 38.5rem;
    .red {
      color: #e13c3c;
    }
    .block-default {
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      width: 100%;
      margin: 0;
      padding: 0;
    }
    .block-button {
      display: block;
      padding: 1.5rem 0 0 0;
    }
    .block-flex {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: flex-start;
      align-items: flex-start;
      width: auto;
      margin: 0 -0.5rem;
      .column {
        display: block;
        width: 50%;
        padding: 0 0.5rem;
      }
      @media screen and (max-width: 980px) {
        flex-direction: column;
        .column {
          width: 100%;
          margin: 0 0 0.6875rem 0;
        }
        .kit.ui.input.counter {
          max-width: 10rem;
        }
      }
    }

    .field {
      @media screen and (min-width: 981px) {
        max-width: 18.75rem;
      }
    }
    .ui.checkbox {
      @media screen and (min-width: 981px) {
        margin: 0 !important;
      }
      @media screen and (max-width: 980px) {
        margin-bottom: 0.6875rem;
      }
    }
  }

</style>
